# Rex UI

Rex UI is a simple ui for the [ruby exchange (rex)](https://git.timkaechele.me/timkaechele/rex)

## System dependencies

- Node v19.3.0, this was the node version used to develop the project, newer versions should work as well.

## Installation

Install the dependencies

```bash
$ npm install
```

## Running the project

Start a server

```bash
$ npm run server
```

The ui tries to connect to the exchange on `localhost:8080`. If you run the exchange on a different host/port you have to change the url in `src/app.jsx`

## Building the project

You can build all dependencies using the following script

```bash
$ npm run build
```

## Screenshots

![UI Screenshot](./.screenshots/ui.png)
